//
//  J_ConstantObject.h
//  LuBa
//
//  Created by 张浩 on 2016/12/7.
//  Copyright © 2016年 LuBa. All rights reserved.
//全局常量

#import <Foundation/Foundation.h>

@interface J_ConstantObject : NSObject
#pragma mark - IM服务器地址
UIKIT_EXTERN NSString *const kIMConnectURL;//IM地址

#pragma mark - 切换城市通知
UIKIT_EXTERN NSString *const kChangeCityNotification;

#pragma mark - 用户

UIKIT_EXTERN NSString *const kAnchtorFMInfoDefault;//用户FM开播信息
//UIKIT_EXTERN NSString *const kJYInfoDefault;//用户禁言信息
UIKIT_EXTERN NSString *const kPdInfo;//频道信息
UIKIT_EXTERN NSInteger const kSNAssistivesViewTag;//悬浮按钮tag
UIKIT_EXTERN NSInteger const kSNAssistivesViewWidthHeight;//悬浮按钮宽高
UIKIT_EXTERN NSInteger const kUserNameMaxLength;//昵称最长字数限制
UIKIT_EXTERN NSInteger const kDistanceFilter;//高德地图 设定定位的最小更新距离



typedef NS_ENUM(NSInteger , KIMConnectionStstus) {
    KIMConnectionStstusSuccess = 0,	//连接成功
    KIMConnectionStstusFail = 1,// 连接失败
    KIMConnectionStstusLoading = 2,	// 连接中
};

typedef NS_ENUM(NSInteger , KLoginType) {
    KLoginTypePhone = 0,	//手机号登录
    KLoginTypeWeChat = 1,// 微信登录
    KLoginTypeQQ = 2,	//QQ登录
    KLoginTypeCode = 3, //手机号+验证码登录
};



#pragma mark - 互动
typedef NS_ENUM(NSInteger , KLiveRadioType) {
    KLiveRadioTypeWithNoVideo = 1,	//无视频直播
    KLiveRadioTypeWithDevice = 2,// 自驾宝直播
    KLiveRadioTypeWithPhone = 3,	//手机直播
};
typedef NS_ENUM(NSInteger , KLiveRadioStatusType) {
    KLiveRadioStatusTypeIn = 1,	//进入聊天室
    KLiveRadioStatusTypeOut = 2,//离开聊天室
};
typedef NS_ENUM(NSInteger , KLiveRadioLocationType) {
    KLiveRadioLocationTypeTrue = 0,	//直播真实地址
    KLiveRadioLocationTypeFalse = 1,// 直播自定义地址
};
typedef NS_ENUM(NSInteger , KLiveRadioBeautyType) {
    KLiveRadioBeautyTypeTrue = 0,	//使用美颜
    KLiveRadioBeautyTypeFalse = 1,// 关闭美颜
};
typedef NS_ENUM(NSInteger , KUpdateFileType) {
    KUpdateFileTypeImage = 1,	//上传图片
    KUpdateFileTypeAudio = 2,//上传音频
};
typedef NS_ENUM(NSInteger, KLiveRadioRecordPhase) {
    KLiveRadioRecordPhaseStart,
    KLiveRadioRecordPhaseRecording,
    KLiveRadioRecordPhaseCancelling,
    KLiveRadioRecordPhaseEnd
};
typedef NS_ENUM(NSInteger , KMessageDeliveryStatus) {
    KMessageDeliveryStatusSuccell = 1,//消息发送成功
    KMessageDeliveryStatusFail = 2,//消息发送失败
    KMessageDeliveryStatusDelivering = 3,//消息发送中
};
typedef NS_ENUM(NSInteger , KMessageCellDirection) {
    KMessageCellDirectionRight = 1,//消息显示在右侧
    KMessageCellDirectionLeft = 2,//消息显示在左侧
};
typedef NS_ENUM(NSInteger , KMessagePlayingStatus) {
    KMessagePlayingStatusStart = 1,//消息开始播放
    KMessagePlayingStatusEnd = 2,//消息停止播报
};
typedef NS_ENUM(NSInteger , KMessageType) {//以下类型中除了本地类型可以自行添加外，其他类型均要与安卓版本进行约定后，在IM文档中约定使用
    KMessageTypePhoto = 0,//图片
    KMessageTypeAudio = 1,//语音
    KMessageTypePresent = 2,//礼物
    KMessageTypeText = 3,//文字
    
    KMessageTypeSystemFMHB = 4,//FM红包记录
    KMessageTypeSystemUploadRoadAlert = 5,//用户开始上报路况的提示消息
    KMessageTypeSystemNotice = 6,//主播发送的公告消息
    
    KMessageTypeAnchtorChangeCover = 7,//主播更换封面/显示、隐藏封面消息
    KMessageTypeAnchtorLiveGoBack = 8,//主播暂时离开/回来，开播，关播的消息
    
    KMessageTypeInsuranceGetCash = 10,//保险收款
    KMessageTypeIgnoreBackMsg = 11,//后台消息(前端忽略)
    KMessageTypeLiveReport = 12,//直播心跳
    KMessageTypeLiveAutoPhoto = 13,//个人直播-路况图片(机器人）
    KMessageTypeLiveAutoVideo = 14,//个人直播-路况视频(机器人）
    KMessageTypeLiveJinYan = 15,//个人直播-禁言
    KMessageTypeLiveAttention = 16,//个人直播-关注
    KMessageTypeLiveZan = 17,//个人直播-点赞
    KMessageTypeLiveUploadRoadSuccess = 18,//个人直播-用户上报了一条路况信息
    
    
    //头条路况消息
    KMessageTypeTouTiaoControl = 200,//路网交通广播-打开、关闭路况推消息
    KMessageTypeTouTiaoPhoto = 201,//路网交通广播-获取周围路况信息消息：图片
    KMessageTypeTouTiaoVideo = 202,//路网交通广播-获取周围路况信息消息：视频

    /*
     本地类型，文档中没有
     **/
    KMessageTypeSystemJoin = 98,//进入房间系统消息，本地类型
    KMessageTypeTime = 99,//私聊消息-时间，本地类型
    KMessageTypeChatUserInfo = 100,//私聊消息-用户信息（爱好、性格、出没地）
    KMessageTypeChatQandA = 101,//私聊消息-问答
    KMessageTypeChatNotice = 102,//私聊消息-公告
    KMessageTypeChatTest = 103,//私聊消息-趣味测试
    
};
typedef NS_ENUM(NSInteger , KUploadRoadMessageType) {//
    KUploadRoadMessageTypeAudio = 0,//语音
    KUploadRoadMessageTypePhoto = 1,//图片
    KUploadRoadMessageTypeVideo = 2,//视频
};
typedef NS_ENUM(NSInteger , KChatroomManagerType) {
    KChatroomManagerTypeYes = 0,//设为管理员
    KChatroomManagerTypeNo = 1,//取消管理员
};
typedef NS_ENUM(NSInteger , KChatroomSilenceType) {
    KChatroomSilenceTypeYes = 0,//禁言
    KChatroomSilenceTypeNo = 1,//取消禁言
};
typedef NS_ENUM(NSInteger , KCityChatroomVolumeType) {
    KCityChatroomVolumeZero = 0,//静音
    KCityChatroomVolumeOne = 1,//取消静音
};
typedef NS_ENUM(NSInteger , KCityChatroomType) {
    KCityChatroomTypeFM = 1,//FM频道
    KCityChatroomTypeCity = 2,//城市频道
    KCityChatroomTypePersonal = 3,//个人频道
    KCityChatroomTypeBusiness = 4,//商业频道
    KCityChatroomTypeHighWay = 5,//高速频道
};
typedef NS_ENUM(NSInteger , KLoginSuccessToVcType) {
    KLoginSuccessToVcTypeChannel = 1,//登陆成功跳转对讲机
    KLoginSuccessToVcTypeChatroom = 2,//登陆成功跳转直播
    KLoginSuccessToVcTypeH5Web = 3,//登陆成功跳转H5页面
};
typedef NS_ENUM(NSInteger , KVipCenterWebType) {
    KVipCenterWebTypeShop = 1,//积分商城
    KVipCenterWebTypeHjq = 2,//惠加气
    KVipCenterWebTypeCarInsurance = 3,//车险订单
    KVipCenterWebTypeRentCar = 4,//路叔包车
    KVipCenterWebTypeFreeway = 5,//智慧高速
    KVipCenterWebTypeHjqOrderDetail = 6,//惠加气订单详情
};
typedef NS_ENUM(NSInteger , KSocketUserType) {
    KSocketUserTypeNomal = 0,//普通用户
    KSocketUserTypeAuto = 1,//路况机器人
};


#pragma mark - NSUserDefaults 其他
UIKIT_EXTERN NSString *const kFirstSetupApp;//判断引导页
UIKIT_EXTERN NSString *const kAppUpdateType;//判断是建议更新还是强制更新
UIKIT_EXTERN NSString *const kFirstGpsAlert;
UIKIT_EXTERN NSString *const kFirstGoTocarInfo;//第一次看车友卡片

UIKIT_EXTERN NSString *const kCAGSaveInfoDefault;//上下班模块用户选择信息的保存(家、公司地址，出行方式)
UIKIT_EXTERN NSString *const kHighWayInformationBoard;//高速信息板功能是否开启
UIKIT_EXTERN NSString *const kTodayFirstJoinZHGS;//判断今天第一次进入智慧高速模块
UIKIT_EXTERN NSString *const kAlwaysWWAN; //总是允许使用流量
UIKIT_EXTERN NSString *const kPausePlayWWAN;//手动暂停-FM
UIKIT_EXTERN NSString *const kMapStartRefresh;
UIKIT_EXTERN NSString *const kHaveUpLoadContacts;
UIKIT_EXTERN NSString *const kPausePlayGB;//手动暂停-交通广播

#pragma mark - f_key 命名
UIKIT_EXTERN NSString *const kAnchtorStartAlbumF_key;//主播开播相册地址



#pragma mark - 通知管理
UIKIT_EXTERN NSString *const kCarFAttenNotifiCation;//关注通知
UIKIT_EXTERN NSString *const kCarButtonClickNotifiCation;//关注通知  区分关注按钮和下滑关注
UIKIT_EXTERN NSString *const kGetMessageRefreshMineViewNotifiCation;//收到消息，刷新个人中心的未读消息数量显示
UIKIT_EXTERN NSString *const kUseUserLocationNotifiCation;//上下班-使用当前位置
UIKIT_EXTERN NSString *const kUseMapChooseLocationNotifiCation;//上下班-使用地图位置
UIKIT_EXTERN NSString *const kUseKeySearchLocationNotifiCation;//上下班-使用关键字搜索位置
UIKIT_EXTERN NSString *const kSNHomeVCTrafficInfoNotifiCation;//首页点击路况头条跳转
UIKIT_EXTERN NSString *const kRefreshPdOnlineNumNotifiCation;//刷新在线人数显示
UIKIT_EXTERN NSString *const kNetworkChangedErrorNotifiCation;//网络发生变化，没有网络或未知网络


//音频播放器
UIKIT_EXTERN NSString *const kSTKAudioPlayerStateChangedNotifiCation; //音频播放器状态变化


UIKIT_EXTERN NSString *const kCarFInNotifiCation;//车友通知
UIKIT_EXTERN NSString *const kCarStatusNotifiCation;//车友--附近直播--附近互动


UIKIT_EXTERN NSString *const kChatroomUserInfoShowNotifiCation;//聊天室用户信息展示
UIKIT_EXTERN NSString *const kChatroomUserInfoHidenNotifiCation;//聊天室用户信息隐藏

UIKIT_EXTERN NSString *const kChatroomPointGuideShowNotifiCation;//聊天室积分赚取指引信息展示
UIKIT_EXTERN NSString *const kChatroomPointGuideHidenNotifiCation;//聊天室积分赚取指引信息隐藏

UIKIT_EXTERN NSString *const kChatroomLeaveMessageNotifiCation;//聊天室留言
UIKIT_EXTERN NSString *const kChatroomPresentSendNotifiCation;//积分兑换礼物

UIKIT_EXTERN NSString *const kChatroomAnchorChangeLiveBackImageNotifiCation;//主播直播过程中更换背景图片

UIKIT_EXTERN NSString *const kLogOutSuccessNotifiCation; //注销成功
UIKIT_EXTERN NSString *const kLoginSuccessNotifiCation;//登陆成功，通知delegate进行连接检测
UIKIT_EXTERN NSString *const kLoginSuccessPostCarInfoNotifiCation;//登陆成功,把车辆绑定信息传给H5（限于从H5跳转过来的登录）

UIKIT_EXTERN NSString *const kBindingPhoneSuccessNotifiCation;//绑定手机号

UIKIT_EXTERN NSString *const kWechatPayResultNotification;//微信支付回调

UIKIT_EXTERN NSString *const kCheckIMConnectedStatusNotification;//通知delegate，检测连接状态

UIKIT_EXTERN NSString *const kIMJoinRoomSuccessNotification;//进入房间成功

UIKIT_EXTERN NSString *const kChangePdSuccessNotification;//切换频道

UIKIT_EXTERN NSString *const kGetPdUserSuccessNotification;//获取频道人员成功

UIKIT_EXTERN NSString *const kAnchtorQuitNotification;//主播关播通知

UIKIT_EXTERN NSString *const kAVSessionStopGBNotification;//停止播放广播

UIKIT_EXTERN NSString *const kAVSessionStopFMNotification;//停止播放FM

UIKIT_EXTERN NSString *const kTempNovelModel;


//im部分
UIKIT_EXTERN NSString *const kSooonerSocketManagerConnectedCallbackNotifiCation;//连接成功通知
UIKIT_EXTERN NSString *const kSooonerSocketManagerReconnectCallbackNotifiCation;//自动重连中通知
UIKIT_EXTERN NSString *const kSooonerSocketManagerConnectErrorCallbackNotifiCation;//连接错误通知
UIKIT_EXTERN NSString *const kSooonerSocketManagerJoinCallbackNotifiCation;//接收进入房间通知
UIKIT_EXTERN NSString *const kSooonerSocketManagerLeaveCallbackNotifiCation;//接收离开房间通知
UIKIT_EXTERN NSString *const kSooonerSocketManagerRoomMessageCallbackNotifiCation;//接收房间消息通知
UIKIT_EXTERN NSString *const kSooonerSocketManagerPrivateMessageCallbackNotifiCation;//接收私聊消息通知
UIKIT_EXTERN NSString *const kSooonerSocketManagerOfflineMessageCallbackNotifiCation;//接收离线消息通知
UIKIT_EXTERN NSString *const kSooonerSocketManagerSystemMessageCallbackNotifiCation;//接收系统消息通知




#pragma mark - 第三方key管理
UIKIT_EXTERN NSString *const kShareSDKAppKey;//shareSDK
UIKIT_EXTERN NSString *const kWeChatAppKey;//微信appKey
UIKIT_EXTERN NSString *const kWeChatAppSecret;//微信appSecret
UIKIT_EXTERN NSString *const kIFlyAppId;//科大讯飞appid
UIKIT_EXTERN NSString *const kJpushAppKey;//极光appKey
UIKIT_EXTERN NSString *const kAMapApiKey;//高德地图apiKey
UIKIT_EXTERN NSString *const kAppleId;//应用id
UIKIT_EXTERN NSString *const kAppName;//应用名称
UIKIT_EXTERN NSString *const kAMapApiKey; //高德地图api key
UIKIT_EXTERN NSString *const GD_MapKey; //高德 webapi key
UIKIT_EXTERN NSString *const BaiduMapKey;//百度地图webapi key @"22E1bdd3e43e0df9a09e8ee56ca693ad"
UIKIT_EXTERN NSString *const TX_WebServiceMapKey;//腾讯地图webapi key @"FRFBZ-UF7WI-LGDGA-5KCPI-4LHPE-ZWBB5"

#pragma mark - 色值管理
UIKIT_EXTERN NSString *const kMainGreenColor;//主色调中的  绿色


#pragma mark - 微信支付
UIKIT_EXTERN NSString *const kWXAPP_ID;//微信支付appid
UIKIT_EXTERN NSString *const kWXMCH_ID;//商户号，填写商户对应参数

#pragma mark - 推到后台
UIKIT_EXTERN NSString *const kApplicationDidEnterBackground;//推到后台
UIKIT_EXTERN NSString *const kApplicationWillEnterForeground;//推到前台


#pragma mark - 提示语
UIKIT_EXTERN NSString *const kAFFailAlert;//网络请求失败提示语

@end
