//
//  FileUtils.m
//  Luba
//
//  Created by 张浩 on 2017/3/4.
//  Copyright © 2017年 sjl. All rights reserved.
//

#import "FileUtils.h"
#import "J_UserModel.h"
@implementation FileUtils
//返回缓存根目录 "caches"
+(NSString *)getCachesDirectory
{
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSCachesDirectory, NSUserDomainMask, YES);
    NSString *caches = [paths firstObject];
    return caches;
}

//返回根目录路径 "document"
+ (NSString *)getDocumentPath
{
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
    NSString *documentPath = [paths firstObject];
    return documentPath;
}

//创建文件目录
+(BOOL)creatDir:(NSString*)dirPath
{
    if ([[NSFileManager defaultManager] fileExistsAtPath:dirPath])//判断dirPath路径文件夹是否已存在，此处dirPath为需要新建的文件夹的绝对路径
    {
        return NO;
    }
    else
    {
        [[NSFileManager defaultManager] createDirectoryAtPath:dirPath withIntermediateDirectories:YES attributes:nil error:nil];//创建文件夹
        return YES;
    }
    
}

//删除文件目录
+(BOOL)deleteDir:(NSString*)dirPath
{
    if([[NSFileManager defaultManager] fileExistsAtPath:dirPath])//如果存在临时文件的配置文件
        
    {
        NSError *error=nil;
        return [[NSFileManager defaultManager]  removeItemAtPath:dirPath error:&error];
        
    }
    
    return  NO;
}

//移动文件夹
+(BOOL)moveDir:(NSString*)srcPath to:(NSString*)desPath;
{
    NSError *error=nil;
    if([[NSFileManager defaultManager] moveItemAtPath:srcPath toPath:desPath error:&error]!=YES)// prePath 为原路径、     cenPath 为目标路径
    {
        NSLog(@"移动文件失败");
        return NO;
    }
    else
    {
        NSLog(@"移动文件成功");
        return YES;
    }
}

//创建文件
+ (BOOL)creatFile:(NSString*)filePath withData:(NSData*)data
{
    
    return  [[NSFileManager defaultManager] createFileAtPath:filePath contents:data attributes:nil];
}

//删除文件
+(BOOL)deleteFile:(NSString *)filePath
{
    
    return [self deleteDir:filePath];
    
}

+ (NSString *)getFilePath:(NSString *)fileName
{
    NSString *dirPath = [[self getCachesDirectory] stringByAppendingPathComponent:fileName];
    return dirPath;
}


+ (BOOL)writeDataToFile:(NSString*)fileName data:(NSData*)data
{
    NSString *filePath=[self getFilePath:fileName];
    return [self creatFile:filePath withData:data];
}
+(NSString *)getCommentIMGpath{
    NSString *IMGPath;
    J_UserModel *userObj = [J_UserModel getUserInfoDefault];
    //返回缓存根目录 "caches"
    NSString *cachesPath = [self getCachesDirectory];
 
    IMGPath = [NSString stringWithFormat:@"%@/allUserDic/%@/IMG",cachesPath,userObj.ID];
    
    return IMGPath;
}

+(NSString *)getCommentAMRpath{
    NSString *AMRpath;
    J_UserModel *userObj = [J_UserModel getUserInfoDefault];
    //返回缓存根目录 "caches"
    NSString *cachesPath = [self getCachesDirectory];
    
    AMRpath = [NSString stringWithFormat:@"%@/allUserDic/%@/AMR",cachesPath,userObj.ID];
    
    return AMRpath;
}



+ (void)getVideoPathFromPHAsset:(PHAsset *)asset Complete:(ResultPath)result{
    NSArray *assetResources = [PHAssetResource assetResourcesForAsset:asset];
    PHAssetResource *resource;
    
    for (PHAssetResource *assetRes in assetResources) {
        if (assetRes.type == PHAssetResourceTypePairedVideo ||
            assetRes.type == PHAssetResourceTypeVideo) {
            resource = assetRes;
        }
    }
    NSString *fileName = @"tempAssetVideo.mov";
    if (resource.originalFilename) {
        fileName = resource.originalFilename;
    }
    
    if (asset.mediaType == PHAssetMediaTypeVideo || asset.mediaSubtypes == PHAssetMediaSubtypePhotoLive) {
        PHVideoRequestOptions *options = [[PHVideoRequestOptions alloc] init];
        options.version = PHImageRequestOptionsVersionCurrent;
        options.deliveryMode = PHImageRequestOptionsDeliveryModeHighQualityFormat;
        
        NSString *PATH_MOVIE_FILE = [NSTemporaryDirectory() stringByAppendingPathComponent:fileName];
        [[NSFileManager defaultManager] removeItemAtPath:PATH_MOVIE_FILE error:nil];
        [[PHAssetResourceManager defaultManager] writeDataForAssetResource:resource
                                                                    toFile:[NSURL fileURLWithPath:PATH_MOVIE_FILE]
                                                                   options:nil
                                                         completionHandler:^(NSError * _Nullable error) {
                                                             if (error) {
                                                                 result(nil, nil);
                                                             } else {
                                                                 result(PATH_MOVIE_FILE, fileName);
                                                             }
                                                         }];
    } else {
        result(nil, nil);
    }
}

@end
