//
//  LoginViewController.m
//  Luba
//
//  Created by 张浩 on 2018/4/27.
//  Copyright © 2018年 sjl. All rights reserved.
//

#import "LoginViewController.h"
#import "VerificationCodeLoginView.h"
#import "PasswordLoginView.h"
#import "ForgetPwdViewController.h"
//#import "SNNewHomeViewController.h"
#import "BindingPhoneViewController.h"
#import "SNToolManager.h"
#import "login_common.h"
//#import "SessionDBManager.h"
 
//#import "SNLocViewController.h"

@interface LoginViewController ()<UIScrollViewDelegate>{
    NSInteger loginType;
}
@property (nonatomic , strong)UIScrollView *scrollView;

@property (nonatomic , strong)VerificationCodeLoginView *vcView;
@property (nonatomic , strong)PasswordLoginView *pwdView;

@property (nonatomic , strong)UIButton *loginBtn;

@end

@implementation LoginViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    //导航栏颜色
    self.navigationController.navigationBar.barTintColor = [UIColor colorWithHexString:@"#16A196"];
    self.navigationController.navigationBar.barStyle = UIBarStyleBlack;//白字
    self.title = @"手机登录";
    //导航栏按钮
    UIButton *leftButton = [[UIButton alloc]initWithFrame:CGRectMake(0,0,30,30)];
    leftButton.imageView.contentMode = UIViewContentModeScaleAspectFill;
    [leftButton setImage:[UIImage imageNamed:@"Normal_naviBack_w"] forState:UIControlStateNormal];
    [leftButton addTarget:self action:@selector(backAction:) forControlEvents:UIControlEventTouchUpInside];
    UIBarButtonItem *leftItem = [[UIBarButtonItem alloc]initWithCustomView:leftButton];
    self.navigationItem.leftBarButtonItem= leftItem;
    loginType = 0;
    [self creatUI];
}
- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    [self.navigationController setNavigationBarHidden:NO animated:YES];
}
#pragma private method
-(IBAction)backAction:(id)sender{
    [self.navigationController popViewControllerAnimated:YES];
}
- (void)creatUI{
    self.view.backgroundColor = [UIColor whiteColor];
    UILabel *qhLab = [[UILabel alloc]init];
    qhLab.text = @"+86";
    qhLab.textColor = [UIColor colorWithHexString:@"#333333"];
    qhLab.font = [UIFont systemFontOfSize:16];
    [self.view addSubview:qhLab];
    [self.view addSubview:self.scrollView];
    [self.view addSubview:self.loginBtn];
    [self.scrollView addSubview:self.vcView];
    [self.scrollView addSubview:self.pwdView];

    [qhLab mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.equalTo(self.view.mas_left).offset(30);
        make.top.equalTo(self.view.mas_top).offset(30+kApplicationStatusBarHeight+44);
    }];
    [self.scrollView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.right.equalTo(self.view);
        make.height.equalTo(@160);
        make.top.equalTo(qhLab.mas_bottom).offset(20);
    }];
    [self.loginBtn mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.equalTo(self.view.mas_left).offset(30);
        make.right.equalTo(self.view.mas_right).offset(-30);
        make.height.equalTo(@40);
        make.top.equalTo(self.scrollView.mas_bottom).offset(30);
    }];
}
-(IBAction)changeBtnClick:(id)sender{
    UIButton *btn = (UIButton *)sender;
    if (btn.tag == 0) {
        loginType = 1;
        self.pwdView.phoneTF.text = self.vcView.phoneTF.text;
        [self.scrollView setContentOffset:CGPointMake(KScreenWidth,0) animated:YES];
    }else{
        loginType = 0;
        [self.scrollView setContentOffset:CGPointMake(0,0) animated:YES];
    }
}
-(IBAction)forgetPwdBtnClick:(id)sender{
    ForgetPwdViewController *forgetPwdVC = [[ForgetPwdViewController alloc]init];
    [self.navigationController pushViewController:forgetPwdVC animated:YES];
}
-(IBAction)loginBtnClick:(id)sender{
    [self.view endEditing:YES];
    NSMutableDictionary *params = [NSMutableDictionary dictionary];
    if (loginType == 0) {
        if ([self.vcView.vcTF.text isEmpty]) {
            [MBManager showBriefMessage:@"验证码不能为空" InView:self.view];
            return;
        }
        params[@"ch_id"] = @"";
        params[@"user_tel"] = self.vcView.phoneTF.text;
        params[@"user_pwd"] = @"";
        params[@"user_code"] = self.vcView.vcTF.text;
        params[@"type"] = [NSNumber numberWithInteger:KLoginTypeCode];
    }else{
        if ([self.pwdView.pwdTF.text isEmpty]) {
            [MBManager showBriefMessage:@"密码不能为空" InView:self.view];
            return;
        }
        params[@"ch_id"] = @"";
        params[@"user_tel"] = self.pwdView.phoneTF.text;
        params[@"user_pwd"] = [SNToolManager md5:self.pwdView.pwdTF.text];
        params[@"type"] = [NSNumber numberWithInteger:KLoginTypePhone];
    }
    params[@"c_s"] = C_S;
    params[@"c_v"] = VERSION_STRING;
    [self loadLoginDataparamar:params];
}
- (void)loadLoginDataparamar:(NSMutableDictionary *)params {
    [MBManager showPermanentMessage:@"登录中～" InView:self.view];
    [J_AFNetWorkManager POST:API_LOGIN params:params success:^(NSURLSessionDataTask *task, id responseObject) {
        [MBManager hideAlert];
        NSLog(@"%@",responseObject);
        J_UserModel *model = [J_UserModel mj_objectWithKeyValues:responseObject];
        if ([model.rc isEqualToString:@"0"]) {
            if ([model.birthday integerValue]>0) {
                NSArray *tempArr = [model.birthday componentsSeparatedByString:@"-"];
                NSInteger month;
                NSInteger day;
                if (tempArr.count==2) {
                    month = [tempArr[0] integerValue];
                    day = [tempArr[1] integerValue];
                }else{
                    month = 1;
                    day = 1;
                }
                model.start = [SNToolManager calculateConstellationWithMonth:month day:day];
            }
            [model saveUserInfoDefault];
            //通知delegate，检测socket连接
            [[NSNotificationCenter defaultCenter] postNotificationName:kLoginSuccessNotifiCation object:nil];
            //检测并创建聊天记录文件夹(包含audio文件夹和db文件夹) 以userID 命名
//            [SessionDBManager creatSessionTableViewDicPath];
            //进入首页
            if (model.tel) {//已经绑定手机号
                
                
                NSUserDefaults *user = [NSUserDefaults standardUserDefaults];
                NSString *firstLogin = [user objectForKey:kFirstSetupApp];
                
                if(firstLogin.length > 0){
//                    SNNewHomeViewController *homeVC = [[SNNewHomeViewController alloc] init];
//                    [self.navigationController pushViewController:homeVC animated:YES];
                } else{
             
//                    SNLocViewController *homeVC = [[SNLocViewController alloc] init];
//                    [self.navigationController pushViewController:homeVC animated:YES];
                }
 
            }else{//绑定完再进定位页
                BindingPhoneViewController *bindingPhone = [[BindingPhoneViewController alloc]init];
                [self.navigationController pushViewController:bindingPhone animated:YES];
            }
        }
        else{
            [MBManager showBriefAlert:model.des];
        }
    } fail:^(NSURLSessionDataTask *task, NSError *error) {
        [MBManager hideAlert];
        [MBManager showBriefAlert:@"网络异常"];
        
    }];
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (void)scrollViewDidScroll:(UIScrollView *)scrollView{
    int page = scrollView.contentOffset.x / scrollView.frame.size.width;
    // 设置页码
    loginType = page;
}
-(UIScrollView *)scrollView{
    if (_scrollView == nil) {
        _scrollView = [[UIScrollView alloc]init];
        _scrollView.contentSize = CGSizeMake(KScreenWidth*2, 160);
        _scrollView.pagingEnabled = YES;
        _scrollView.showsHorizontalScrollIndicator = NO;
        _scrollView.delegate = self;
    }
    return _scrollView;
}
-(VerificationCodeLoginView *)vcView{
    if (_vcView == nil) {
        _vcView = [[VerificationCodeLoginView alloc]initWithFrame:CGRectMake(0, 0, KScreenWidth, 160)];
        _vcView.changeBtn.tag = 0;
        [_vcView.changeBtn addTarget:self action:@selector(changeBtnClick:) forControlEvents:UIControlEventTouchUpInside];
    }
    return _vcView;
}
-(PasswordLoginView *)pwdView{
    if (_pwdView == nil) {
        _pwdView = [[PasswordLoginView alloc]initWithFrame:CGRectMake(KScreenWidth, 0, KScreenWidth, 160)];
        _pwdView.changeBtn.tag = 1;
        [_pwdView.changeBtn addTarget:self action:@selector(changeBtnClick:) forControlEvents:UIControlEventTouchUpInside];
        [_pwdView.forgetPwdBtn addTarget:self action:@selector(forgetPwdBtnClick:) forControlEvents:UIControlEventTouchUpInside];
    }
    return _pwdView;
}
-(UIButton *)loginBtn{
    if (_loginBtn == nil) {
        _loginBtn = [[UIButton alloc]init];
        [_loginBtn addTarget:self action:@selector(loginBtnClick:) forControlEvents:UIControlEventTouchUpInside];
        [_loginBtn setImage:[UIImage imageNamed:@"Mine_Login_login"] forState:UIControlStateNormal];
        _loginBtn.imageView.contentMode = UIViewContentModeScaleAspectFit;
    }
    return _loginBtn;
}
@end
